@import url(https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400);
@import "https://fonts.googleapis.com/css?family=Inconsolata";
html {font-size: 18px;}
body {
    font-family: 'Arial', serif;
  line-height: 1.6;
  font-size: 1em;
  padding: 0 20px;
}

#wrapper {
    font-family: 'Arial', serif;
  width: 410px;
  height: 350px;
  margin: 0 auto;
  
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -300px;
  margin-left: -205px;
  margin-bottom: -200px;
}

.div-1{
	background-color: rgba(0,0,0,0.5);
	border-radius: 25px;
	padding: 50px;
}

/* USED BY THE METAR/TAF PAGE */
.div-3{
    color: rgba(128, 255, 128, 0.8);
}

input,
label{
  color: white;
  background-color: black;
}

input::file-selector-button{
  background-image: linear-gradient(
    to right,
    #071f02,
    green,
    #071f02
  );
  background-position: 50% 100%;
  border-radius: 5px;
  color: white;
  border-color: green;
}

.label-2{
  background-image: linear-gradient(
    to right,
    #071f02,
    green,
    #071f02
  );
  background-position: 50% 100%;
  border-radius: 5px;
  color: white;
  border-color: green;
}

.button-2{
  background-image: linear-gradient(
    to right,
    black,
    #071f02,
    black
  );
  background-position: 50% 100%;
  border-radius: 5px;
  color: white;
  border-color: green;
}




.folder-selector{
  color: white;
  background-color: black;
}

.bottomright {
  position: absolute;
  bottom: 0px;
  right: 0px;
}

.div-2{
	color: white;
}

.content {
  width: 100%;
  margin: 0 auto;
  text-align: center;
}

h1 {
    font-family: 'Arial', serif;
  font-weight: 300;
  font-size: 1.5em;
  color: #000;
}

p {
  font-family: 'Arial', serif;
  line-height: 1em;
  font-weight: 300;
  color: #333;
}

label {
  background-color: darkgreen;
  color: white;
  padding: 0.5rem;
  font-family: 'Arial', serif;
  border-radius: 0.3rem;
  cursor: pointer;
  margin-top: 1rem;
}

/* 
Server by @chrisburton
*/

.grid {
  max-width: 175px;
  height: 200px;
  background: #222;
  margin: 0 auto;
  padding: 1em 0;
  border-radius: 3px;
}


.grid .server {
  display: block;
  max-width: 68%;
  height: 20px;
  background: rgba(255,255,255,.15);
  box-shadow: 0 0 0 1px black inset;
  margin: 10px 0 20px 30px;
}

.grid .server:before {
  content: "";
  position: relative;
  top: 7px;
  left: -18px;
  display: block;
  width: 6px;
  height: 6px;
  background: green;
  border: 1px solid black;
  border-radius: 6px;
  margin-top: 7px;
}

/* Animation */

@-webkit-keyframes pulse {
  0% {background: rgba(255,255,255,.15);}
  100% {background: #ae1508;}
}

.grid .server:nth-child(3):before {
  background: rgba(255,255,255,.15);
  -webkit-animation: pulse .5s infinite alternate;
}

@-webkit-keyframes pulse_three {
  0% {background: rgba(255,255,255,.15);}
  100% {background: #d2710a;}
}

.grid .server:nth-child(5):before {
  background: rgba(255,255,255,.15);
  -webkit-animation: pulse_three .7s infinite alternate;
}

@-webkit-keyframes pulse_two {
  0% {background: rgba(255,255,255,.15);}
  100% {background: #9da506;}
}
.grid .server:nth-child(1):before {
  background: rgba(255,255,255,.15);
  -webkit-animation: pulse_two .1s infinite alternate;
}
.grid .server:nth-child(2):before {
  background: rgba(255,255,255,.15);
  -webkit-animation: pulse_two .175s infinite alternate;
}
.grid .server:nth-child(4):before {
  background: rgba(255,255,255,.15);
  -webkit-animation: pulse_two .1s infinite alternate;
}


@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2) {
    html {font-size: 12px;}
}
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2) {
    html {font-size: 14px;}
}

html {
    min-height: 100%;
}

body {
  background-image: url('.backgnd.png');
  background-repeat: no-repeat;
  background-attachment: fixed; 
  /*background-size: 100% 100%;*/
  background-size: cover;
  background-position: center;
}

.body-2 {
    background-image: url('.backgnd.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    /*background-size: 100% 100%;*/
    background-size: cover;
    background-position: center;
}

.vspace {
     margin-bottom: 1.5cm;
}


.noise {
  background-image: url('.backgnd.png');
  background-repeat: no-repeat;
  background-attachment: fixed; 
  background-size: 100% 100%;}

.overlay {
    pointer-events: none;
    position: absolute;
    width: 100%;
    height: 100%;
    background: repeating-linear-gradient(
        180deg,
        rgba(255, 0, 0, 120) 0,
        rgba(255, 0, 0, 0.3) 50%,
        rgba(255, 0, 0, 120) 100%
    );
    background-size: auto 4px;
    z-index: 1;
}

.overlay::before {
    content: "";
    pointer-events: none;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(
        0deg,
        transparent 0%,
        rgba(32, 128, 32, 0.2) 2%,
        rgba(32, 128, 32, 0.8) 3%,
        rgba(32, 128, 32, 0.2) 3%,
        transparent 100%
    );
    background-repeat: no-repeat;
    animation: scan 7.5s linear 0s infinite;
}

@keyframes scan {
    0% {
        background-position: 0 -100vh;
    }
    35%,
    100% {
        background-position: 0 100vh;
    }
}

.terminal {
    box-sizing: inherit;
    position: absolute;
    height: 100%;
    width: 1000px;
    max-width: 100%;
    padding: 4rem;
    text-transform: uppercase;
}

.output2 {
    color: rgba(128, 255, 128, 0.8);
    text-shadow: 0 0 1px rgba(51, 255, 51, 0.4),
        0 0 2px rgba(255, 255, 255, 0.8);
}


.output {
    font-family: 'Arial', serif;
    color: rgba(128, 255, 128, 0.8);
    text-shadow: 0 0 1px rgba(51, 255, 51, 0.4),
        0 0 2px rgba(255, 255, 255, 0.8);
}

.checkwx-item {
    font-size: 20px;
    color: rgba(128, 255, 128, 0.8);
    text-shadow: 0 0 1px rgba(51, 255, 51, 0.4),
    0 0 2px rgba(255, 255, 255, 0.8);
}

.checkwx-item::before{
    content: '\a';
    white-space: pre;
}

.checkwx-link {
    font-weight: bold;
    color: rgba(255, 225, 128, 0.8);
    text-shadow: 0 0 1px rgba(255, 190, 51, 0.4),
    0 0 2px rgba(255, 255, 255, 0.8);
}

.yellow-glow{
    font-weight: bold;
    color: rgba(255, 225, 128, 0.8);
    text-shadow: 0 0 1px rgba(255, 190, 51, 0.4),
    0 0 2px rgba(255, 255, 255, 0.8);
}

/*
.input {
  color: rgba(192, 255, 192, 0.8);
  text-shadow:
      0 0 1px rgba(51, 255, 51, 0.4),
      0 0 2px rgba(255, 255, 255, 0.8);
}

.input::before {
  content: "$ ";
}
*/

a {
    color: #fff;
    text-decoration: none;
}

a::before {
    content: "[";
}

a::after {
    content: "]";
}

.errorcode {
    color: white;
}

.greenText {
    color: green;
}

